Changes between Version 4 and Version 7 of Ticket #21441


Ignore:
Timestamp:
Sep 7, 2016, 12:09:03 PM (6 years ago)
Author:
Jeroen Demeyer
Comment:

Replying to embray:

I think the easiest thing to do for now would be to make PIP_INSTALL point to a little wrapper function that also forcibly calls pip uninstall.

That is not entirely trivial because you need to figure out which package to uninstall. You cannot do pip uninstall ., you need something like pip uninstall $PKGNAME.

Other than that, I like the idea. We could probably drop the --ignore-installed --no-deps options too.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #21441 – Description

    v4 v7  
    1 On a machine which had on older version of Cython installed but which was upgraded recently after #20218 was merged:
     1On a machine which had an older version of Cython installed but which was upgraded recently after #20218 was merged:
    22{{{
    33$ ls -ld local/lib/python/site-packages/Cython*